

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    
    <title>pywws documentation &mdash; pywws v12.10 documentation</title>
    <link rel="stylesheet" href="_static/default.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    '',
        VERSION:     '12.10',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <link rel="shortcut icon" href="_static/pywws_logo.ico"/>
    <link rel="top" title="pywws v12.10 documentation" href="#" />
    <link rel="next" title="Essentials" href="essentials/index.html" /> 
  </head>
  <body>
    <div class="related">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="essentials/index.html" title="Essentials"
             accesskey="N">next</a> |</li>
        <li><a href="#">pywws v12.10 documentation</a> &raquo;</li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body">
            
  <div class="section" id="pywws-documentation">
<h1>pywws documentation<a class="headerlink" href="#pywws-documentation" title="Permalink to this headline">¶</a></h1>
<p>Welcome to pywws - Python software for USB Wireless WeatherStations.</p>
<p>I have written this software to meet my needs, but have tried to make it adaptable to other people&#8217;s requirements. You may want to edit some or all of the modules, or write some new ones, to get it to do exactly what you want. One of the reasons for using Python is that it makes such alterations so easy. Don&#8217;t be afraid, just jump in and have a go.</p>
<p>Contents:</p>
<div class="toctree-wrapper compound">
<ul>
<li class="toctree-l1"><a class="reference internal" href="essentials/index.html">Essentials</a><ul>
<li class="toctree-l2"><a class="reference internal" href="essentials/README.html">README</a></li>
<li class="toctree-l2"><a class="reference internal" href="essentials/LICENCE.html">GNU General Public License</a></li>
<li class="toctree-l2"><a class="reference internal" href="essentials/CHANGELOG.html">Change Log</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="guides/index.html">User guides</a><ul>
<li class="toctree-l2"><a class="reference internal" href="guides/getstarted.html">How to get started with pywws</a></li>
<li class="toctree-l2"><a class="reference internal" href="guides/hourlylogging.html">How to set up &#8216;hourly&#8217; logging with pywws</a></li>
<li class="toctree-l2"><a class="reference internal" href="guides/livelogging.html">How to set up &#8216;live&#8217; logging with pywws</a></li>
<li class="toctree-l2"><a class="reference internal" href="guides/twitter.html">How to configure pywws to post messages to Twitter</a></li>
<li class="toctree-l2"><a class="reference internal" href="guides/language.html">How to make a language file for pywws</a></li>
<li class="toctree-l2"><a class="reference internal" href="guides/weather_ini.html">weather.ini - configuration file format</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="api/index.html">Python programs and modules</a><ul>
<li class="toctree-l2"><a class="reference internal" href="api/Hourly.html">Hourly</a></li>
<li class="toctree-l2"><a class="reference internal" href="api/LiveLog.html">LiveLog</a></li>
<li class="toctree-l2"><a class="reference internal" href="api/Reprocess.html">Reprocess</a></li>
<li class="toctree-l2"><a class="reference internal" href="api/TwitterAuth.html">TwitterAuth</a></li>
<li class="toctree-l2"><a class="reference internal" href="api/SetWeatherStation.html">SetWeatherStation</a></li>
<li class="toctree-l2"><a class="reference internal" href="api/TestWeatherStation.html">TestWeatherStation</a></li>
<li class="toctree-l2"><a class="reference internal" href="api/USBQualityTest.html">USBQualityTest</a></li>
<li class="toctree-l2"><a class="reference internal" href="api/EWtoPy.html">EWtoPy</a></li>
<li class="toctree-l2"><a class="reference internal" href="api/pywws.Tasks.html">pywws.Tasks</a></li>
<li class="toctree-l2"><a class="reference internal" href="api/pywws.LogData.html">pywws.LogData</a></li>
<li class="toctree-l2"><a class="reference internal" href="api/pywws.Process.html">pywws.Process</a></li>
<li class="toctree-l2"><a class="reference internal" href="api/pywws.calib.html">pywws.calib</a></li>
<li class="toctree-l2"><a class="reference internal" href="api/pywws.Plot.html">pywws.Plot</a></li>
<li class="toctree-l2"><a class="reference internal" href="api/pywws.WindRose.html">pywws.WindRose</a></li>
<li class="toctree-l2"><a class="reference internal" href="api/pywws.Template.html">pywws.Template</a></li>
<li class="toctree-l2"><a class="reference internal" href="api/pywws.Forecast.html">pywws.Forecast</a></li>
<li class="toctree-l2"><a class="reference internal" href="api/pywws.ZambrettiCore.html">pywws.ZambrettiCore</a></li>
<li class="toctree-l2"><a class="reference internal" href="api/pywws.Upload.html">pywws.Upload</a></li>
<li class="toctree-l2"><a class="reference internal" href="api/pywws.ToTwitter.html">pywws.ToTwitter</a></li>
<li class="toctree-l2"><a class="reference internal" href="api/pywws.toservice.html">pywws.toservice</a></li>
<li class="toctree-l2"><a class="reference internal" href="api/pywws.YoWindow.html">pywws.YoWindow</a></li>
<li class="toctree-l2"><a class="reference internal" href="api/pywws.WeatherStation.html">pywws.WeatherStation</a></li>
<li class="toctree-l2"><a class="reference internal" href="api/pywws.device_cython_hidapi.html">pywws.device_cython_hidapi</a></li>
<li class="toctree-l2"><a class="reference internal" href="api/pywws.device_pyusb.html">pywws.device_pyusb</a></li>
<li class="toctree-l2"><a class="reference internal" href="api/pywws.DataStore.html">pywws.DataStore</a></li>
<li class="toctree-l2"><a class="reference internal" href="api/pywws.TimeZone.html">pywws.TimeZone</a></li>
<li class="toctree-l2"><a class="reference internal" href="api/pywws.Localisation.html">pywws.Localisation</a></li>
<li class="toctree-l2"><a class="reference internal" href="api/pywws.calib.html">pywws.calib</a></li>
<li class="toctree-l2"><a class="reference internal" href="api/pywws.conversions.html">pywws.conversions</a></li>
<li class="toctree-l2"><a class="reference internal" href="api/pywws.Logger.html">pywws.Logger</a></li>
</ul>
</li>
</ul>
</div>
</div>
<div class="section" id="indices-and-tables">
<h1>Indices and tables<a class="headerlink" href="#indices-and-tables" title="Permalink to this headline">¶</a></h1>
<ul class="simple">
<li><a class="reference internal" href="genindex.html"><em>Index</em></a></li>
<li><a class="reference internal" href="py-modindex.html"><em>Module Index</em></a></li>
<li><a class="reference internal" href="search.html"><em>Search Page</em></a></li>
</ul>
</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar">
        <div class="sphinxsidebarwrapper">
  <h3><a href="#">Table Of Contents</a></h3>
  <ul>
<li><a class="reference internal" href="#">pywws documentation</a><ul>
</ul>
</li>
<li><a class="reference internal" href="#indices-and-tables">Indices and tables</a></li>
</ul>

  <h4>Next topic</h4>
  <p class="topless"><a href="essentials/index.html"
                        title="next chapter">Essentials</a></p>
<div id="searchbox" style="display: none">
  <h3>Quick search</h3>
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" size="18" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    <p class="searchtip" style="font-size: 90%">
    Enter search terms or a module, class or function name.
    </p>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="essentials/index.html" title="Essentials"
             >next</a> |</li>
        <li><a href="#">pywws v12.10 documentation</a> &raquo;</li> 
      </ul>
    </div>
    <div class="footer">
        &copy; Copyright 2009-12, Jim Easterbrook.
      Created using <a href="http://sphinx.pocoo.org/">Sphinx</a> 1.0.1.
    </div>
  </body>
</html>